Index: contrib/ntp/sntp/sntp-opts.c
===================================================================
--- contrib/ntp/sntp/sntp-opts.c	(版本 314126)
+++ contrib/ntp/sntp/sntp-opts.c	(版本 316722)
@@ -1,7 +1,7 @@
 /*
  *  EDIT THIS FILE WITH CAUTION  (sntp-opts.c)
  *
- *  It has been AutoGen-ed  November 21, 2016 at 07:38:40 AM by AutoGen 5.18.5
+ *  It has been AutoGen-ed  March 21, 2017 at 10:36:29 AM by AutoGen 5.18.5
  *  From the definitions    sntp-opts.def
  *  and the template file   options
  *
@@ -18,7 +18,7 @@
  * The sntp program is copyrighted and licensed
  * under the following terms:
  *
- *  Copyright (C) 1992-2016 The University of Delaware and Network Time Foundation, all rights reserved.
+ *  Copyright (C) 1992-2017 The University of Delaware and Network Time Foundation, all rights reserved.
  *  This is free software. It is licensed for use, modification and
  *  redistribution under the terms of the NTP License, copies of which
  *  can be seen at:
@@ -51,7 +51,7 @@
 #endif
 extern FILE * option_usage_fp;
 #define zCopyright      (sntp_opt_strs+0)
-#define zLicenseDescrip (sntp_opt_strs+340)
+#define zLicenseDescrip (sntp_opt_strs+341)
 
 /*
  *  global included definitions
@@ -69,15 +69,15 @@
 /**
  *  static const strings for sntp options
  */
-static char const sntp_opt_strs[2549] =
-/*     0 */ "sntp 4.2.8p9\n"
-            "Copyright (C) 1992-2016 The University of Delaware and Network Time Foundation, all rights reserved.\n"
+static char const sntp_opt_strs[2552] =
+/*     0 */ "sntp 4.2.8p10\n"
+            "Copyright (C) 1992-2017 The University of Delaware and Network Time Foundation, all rights reserved.\n"
             "This is free software. It is licensed for use, modification and\n"
             "redistribution under the terms of the NTP License, copies of which\n"
             "can be seen at:\n"
             "  <http://ntp.org/license>\n"
             "  <http://opensource.org/licenses/ntp-license.php>\n\0"
-/*   340 */ "Permission to use, copy, modify, and distribute this software and its\n"
+/*   341 */ "Permission to use, copy, modify, and distribute this software and its\n"
             "documentation for any purpose with or without fee is hereby granted,\n"
             "provided that the above copyright notice appears in all copies and that\n"
             "both the copyright notice and this permission notice appear in supporting\n"
@@ -87,83 +87,83 @@
             "Time Foundation makes no representations about the suitability this\n"
             "software for any purpose.  It is provided \"as is\" without express or\n"
             "implied warranty.\n\0"
-/*  1008 */ "Force IPv4 DNS name resolution\0"
-/*  1039 */ "IPV4\0"
-/*  1044 */ "ipv4\0"
-/*  1049 */ "Force IPv6 DNS name resolution\0"
-/*  1080 */ "IPV6\0"
-/*  1085 */ "ipv6\0"
-/*  1090 */ "Enable authentication with the key auth-keynumber\0"
-/*  1140 */ "AUTHENTICATION\0"
-/*  1155 */ "authentication\0"
-/*  1170 */ "Listen to the address specified for broadcast time sync\0"
-/*  1226 */ "BROADCAST\0"
-/*  1236 */ "broadcast\0"
-/*  1246 */ "Concurrently query all IPs returned for host-name\0"
-/*  1296 */ "CONCURRENT\0"
-/*  1307 */ "concurrent\0"
-/*  1318 */ "Increase debug verbosity level\0"
-/*  1349 */ "DEBUG_LEVEL\0"
-/*  1361 */ "debug-level\0"
-/*  1373 */ "Set the debug verbosity level\0"
-/*  1403 */ "SET_DEBUG_LEVEL\0"
-/*  1419 */ "set-debug-level\0"
-/*  1435 */ "The gap (in milliseconds) between time requests\0"
-/*  1483 */ "GAP\0"
-/*  1487 */ "gap\0"
-/*  1491 */ "KoD history filename\0"
-/*  1512 */ "KOD\0"
-/*  1516 */ "kod\0"
-/*  1520 */ "/var/db/ntp-kod\0"
-/*  1536 */ "Look in this file for the key specified with -a\0"
-/*  1584 */ "KEYFILE\0"
-/*  1592 */ "keyfile\0"
-/*  1600 */ "Log to specified logfile\0"
-/*  1625 */ "LOGFILE\0"
-/*  1633 */ "logfile\0"
-/*  1641 */ "Adjustments less than steplimit msec will be slewed\0"
-/*  1693 */ "STEPLIMIT\0"
-/*  1703 */ "steplimit\0"
-/*  1713 */ "Send int as our NTP protocol version\0"
-/*  1750 */ "NTPVERSION\0"
-/*  1761 */ "ntpversion\0"
-/*  1772 */ "Use the NTP Reserved Port (port 123)\0"
-/*  1809 */ "USERESERVEDPORT\0"
-/*  1825 */ "usereservedport\0"
-/*  1841 */ "OK to 'step' the time with settimeofday(2)\0"
-/*  1884 */ "STEP\0"
-/*  1889 */ "step\0"
-/*  1894 */ "OK to 'slew' the time with adjtime(2)\0"
-/*  1932 */ "SLEW\0"
-/*  1937 */ "slew\0"
-/*  1942 */ "The number of seconds to wait for responses\0"
-/*  1986 */ "TIMEOUT\0"
-/*  1994 */ "timeout\0"
-/*  2002 */ "Wait for pending replies (if not setting the time)\0"
-/*  2053 */ "WAIT\0"
-/*  2058 */ "no-wait\0"
-/*  2066 */ "no\0"
-/*  2069 */ "display extended usage information and exit\0"
-/*  2113 */ "help\0"
-/*  2118 */ "extended usage information passed thru pager\0"
-/*  2163 */ "more-help\0"
-/*  2173 */ "output version information and exit\0"
-/*  2209 */ "version\0"
-/*  2217 */ "save the option state to a config file\0"
-/*  2256 */ "save-opts\0"
-/*  2266 */ "load options from a config file\0"
-/*  2298 */ "LOAD_OPTS\0"
-/*  2308 */ "no-load-opts\0"
-/*  2321 */ "SNTP\0"
-/*  2326 */ "sntp - standard Simple Network Time Protocol client program - Ver. 4.2.8p9\n"
+/*  1009 */ "Force IPv4 DNS name resolution\0"
+/*  1040 */ "IPV4\0"
+/*  1045 */ "ipv4\0"
+/*  1050 */ "Force IPv6 DNS name resolution\0"
+/*  1081 */ "IPV6\0"
+/*  1086 */ "ipv6\0"
+/*  1091 */ "Enable authentication with the key auth-keynumber\0"
+/*  1141 */ "AUTHENTICATION\0"
+/*  1156 */ "authentication\0"
+/*  1171 */ "Listen to the address specified for broadcast time sync\0"
+/*  1227 */ "BROADCAST\0"
+/*  1237 */ "broadcast\0"
+/*  1247 */ "Concurrently query all IPs returned for host-name\0"
+/*  1297 */ "CONCURRENT\0"
+/*  1308 */ "concurrent\0"
+/*  1319 */ "Increase debug verbosity level\0"
+/*  1350 */ "DEBUG_LEVEL\0"
+/*  1362 */ "debug-level\0"
+/*  1374 */ "Set the debug verbosity level\0"
+/*  1404 */ "SET_DEBUG_LEVEL\0"
+/*  1420 */ "set-debug-level\0"
+/*  1436 */ "The gap (in milliseconds) between time requests\0"
+/*  1484 */ "GAP\0"
+/*  1488 */ "gap\0"
+/*  1492 */ "KoD history filename\0"
+/*  1513 */ "KOD\0"
+/*  1517 */ "kod\0"
+/*  1521 */ "/var/db/ntp-kod\0"
+/*  1537 */ "Look in this file for the key specified with -a\0"
+/*  1585 */ "KEYFILE\0"
+/*  1593 */ "keyfile\0"
+/*  1601 */ "Log to specified logfile\0"
+/*  1626 */ "LOGFILE\0"
+/*  1634 */ "logfile\0"
+/*  1642 */ "Adjustments less than steplimit msec will be slewed\0"
+/*  1694 */ "STEPLIMIT\0"
+/*  1704 */ "steplimit\0"
+/*  1714 */ "Send int as our NTP protocol version\0"
+/*  1751 */ "NTPVERSION\0"
+/*  1762 */ "ntpversion\0"
+/*  1773 */ "Use the NTP Reserved Port (port 123)\0"
+/*  1810 */ "USERESERVEDPORT\0"
+/*  1826 */ "usereservedport\0"
+/*  1842 */ "OK to 'step' the time with settimeofday(2)\0"
+/*  1885 */ "STEP\0"
+/*  1890 */ "step\0"
+/*  1895 */ "OK to 'slew' the time with adjtime(2)\0"
+/*  1933 */ "SLEW\0"
+/*  1938 */ "slew\0"
+/*  1943 */ "The number of seconds to wait for responses\0"
+/*  1987 */ "TIMEOUT\0"
+/*  1995 */ "timeout\0"
+/*  2003 */ "Wait for pending replies (if not setting the time)\0"
+/*  2054 */ "WAIT\0"
+/*  2059 */ "no-wait\0"
+/*  2067 */ "no\0"
+/*  2070 */ "display extended usage information and exit\0"
+/*  2114 */ "help\0"
+/*  2119 */ "extended usage information passed thru pager\0"
+/*  2164 */ "more-help\0"
+/*  2174 */ "output version information and exit\0"
+/*  2210 */ "version\0"
+/*  2218 */ "save the option state to a config file\0"
+/*  2257 */ "save-opts\0"
+/*  2267 */ "load options from a config file\0"
+/*  2299 */ "LOAD_OPTS\0"
+/*  2309 */ "no-load-opts\0"
+/*  2322 */ "SNTP\0"
+/*  2327 */ "sntp - standard Simple Network Time Protocol client program - Ver. 4.2.8p10\n"
             "Usage:  %s [ -<flag> [<val>] | --<name>[{=| }<val>] ]... \\\n"
             "\t\t[ hostname-or-IP ...]\n\0"
-/*  2485 */ "$HOME\0"
-/*  2491 */ ".\0"
-/*  2493 */ ".ntprc\0"
-/*  2500 */ "http://bugs.ntp.org, bugs@ntp.org\0"
-/*  2534 */ "\n\0"
-/*  2536 */ "sntp 4.2.8p9";
+/*  2487 */ "$HOME\0"
+/*  2493 */ ".\0"
+/*  2495 */ ".ntprc\0"
+/*  2502 */ "http://bugs.ntp.org, bugs@ntp.org\0"
+/*  2536 */ "\n\0"
+/*  2538 */ "sntp 4.2.8p10";
 
 /**
  *  ipv4 option description with
@@ -170,11 +170,11 @@
  *  "Must also have options" and "Incompatible options":
  */
 /** Descriptive text for the ipv4 option */
-#define IPV4_DESC      (sntp_opt_strs+1008)
+#define IPV4_DESC      (sntp_opt_strs+1009)
 /** Upper-cased name for the ipv4 option */
-#define IPV4_NAME      (sntp_opt_strs+1039)
+#define IPV4_NAME      (sntp_opt_strs+1040)
 /** Name string for the ipv4 option */
-#define IPV4_name      (sntp_opt_strs+1044)
+#define IPV4_name      (sntp_opt_strs+1045)
 /** Other options that appear in conjunction with the ipv4 option */
 static int const aIpv4CantList[] = {
     INDEX_OPT_IPV6, NO_EQUIVALENT };
@@ -186,11 +186,11 @@
  *  "Must also have options" and "Incompatible options":
  */
 /** Descriptive text for the ipv6 option */
-#define IPV6_DESC      (sntp_opt_strs+1049)
+#define IPV6_DESC      (sntp_opt_strs+1050)
 /** Upper-cased name for the ipv6 option */
-#define IPV6_NAME      (sntp_opt_strs+1080)
+#define IPV6_NAME      (sntp_opt_strs+1081)
 /** Name string for the ipv6 option */
-#define IPV6_name      (sntp_opt_strs+1085)
+#define IPV6_name      (sntp_opt_strs+1086)
 /** Other options that appear in conjunction with the ipv6 option */
 static int const aIpv6CantList[] = {
     INDEX_OPT_IPV4, NO_EQUIVALENT };
@@ -201,11 +201,11 @@
  *  authentication option description:
  */
 /** Descriptive text for the authentication option */
-#define AUTHENTICATION_DESC      (sntp_opt_strs+1090)
+#define AUTHENTICATION_DESC      (sntp_opt_strs+1091)
 /** Upper-cased name for the authentication option */
-#define AUTHENTICATION_NAME      (sntp_opt_strs+1140)
+#define AUTHENTICATION_NAME      (sntp_opt_strs+1141)
 /** Name string for the authentication option */
-#define AUTHENTICATION_name      (sntp_opt_strs+1155)
+#define AUTHENTICATION_name      (sntp_opt_strs+1156)
 /** Compiled in flag settings for the authentication option */
 #define AUTHENTICATION_FLAGS     (OPTST_DISABLED \
         | OPTST_SET_ARGTYPE(OPARG_TYPE_NUMERIC))
@@ -214,11 +214,11 @@
  *  broadcast option description:
  */
 /** Descriptive text for the broadcast option */
-#define BROADCAST_DESC      (sntp_opt_strs+1170)
+#define BROADCAST_DESC      (sntp_opt_strs+1171)
 /** Upper-cased name for the broadcast option */
-#define BROADCAST_NAME      (sntp_opt_strs+1226)
+#define BROADCAST_NAME      (sntp_opt_strs+1227)
 /** Name string for the broadcast option */
-#define BROADCAST_name      (sntp_opt_strs+1236)
+#define BROADCAST_name      (sntp_opt_strs+1237)
 /** Compiled in flag settings for the broadcast option */
 #define BROADCAST_FLAGS     (OPTST_DISABLED | OPTST_STACKED \
         | OPTST_SET_ARGTYPE(OPARG_TYPE_STRING))
@@ -227,11 +227,11 @@
  *  concurrent option description:
  */
 /** Descriptive text for the concurrent option */
-#define CONCURRENT_DESC      (sntp_opt_strs+1246)
+#define CONCURRENT_DESC      (sntp_opt_strs+1247)
 /** Upper-cased name for the concurrent option */
-#define CONCURRENT_NAME      (sntp_opt_strs+1296)
+#define CONCURRENT_NAME      (sntp_opt_strs+1297)
 /** Name string for the concurrent option */
-#define CONCURRENT_name      (sntp_opt_strs+1307)
+#define CONCURRENT_name      (sntp_opt_strs+1308)
 /** Compiled in flag settings for the concurrent option */
 #define CONCURRENT_FLAGS     (OPTST_DISABLED | OPTST_STACKED \
         | OPTST_SET_ARGTYPE(OPARG_TYPE_STRING))
@@ -240,11 +240,11 @@
  *  debug-level option description:
  */
 /** Descriptive text for the debug-level option */
-#define DEBUG_LEVEL_DESC      (sntp_opt_strs+1318)
+#define DEBUG_LEVEL_DESC      (sntp_opt_strs+1319)
 /** Upper-cased name for the debug-level option */
-#define DEBUG_LEVEL_NAME      (sntp_opt_strs+1349)
+#define DEBUG_LEVEL_NAME      (sntp_opt_strs+1350)
 /** Name string for the debug-level option */
-#define DEBUG_LEVEL_name      (sntp_opt_strs+1361)
+#define DEBUG_LEVEL_name      (sntp_opt_strs+1362)
 /** Compiled in flag settings for the debug-level option */
 #define DEBUG_LEVEL_FLAGS     (OPTST_DISABLED)
 
@@ -252,11 +252,11 @@
  *  set-debug-level option description:
  */
 /** Descriptive text for the set-debug-level option */
-#define SET_DEBUG_LEVEL_DESC      (sntp_opt_strs+1373)
+#define SET_DEBUG_LEVEL_DESC      (sntp_opt_strs+1374)
 /** Upper-cased name for the set-debug-level option */
-#define SET_DEBUG_LEVEL_NAME      (sntp_opt_strs+1403)
+#define SET_DEBUG_LEVEL_NAME      (sntp_opt_strs+1404)
 /** Name string for the set-debug-level option */
-#define SET_DEBUG_LEVEL_name      (sntp_opt_strs+1419)
+#define SET_DEBUG_LEVEL_name      (sntp_opt_strs+1420)
 /** Compiled in flag settings for the set-debug-level option */
 #define SET_DEBUG_LEVEL_FLAGS     (OPTST_DISABLED \
         | OPTST_SET_ARGTYPE(OPARG_TYPE_NUMERIC))
@@ -265,11 +265,11 @@
  *  gap option description:
  */
 /** Descriptive text for the gap option */
-#define GAP_DESC      (sntp_opt_strs+1435)
+#define GAP_DESC      (sntp_opt_strs+1436)
 /** Upper-cased name for the gap option */
-#define GAP_NAME      (sntp_opt_strs+1483)
+#define GAP_NAME      (sntp_opt_strs+1484)
 /** Name string for the gap option */
-#define GAP_name      (sntp_opt_strs+1487)
+#define GAP_name      (sntp_opt_strs+1488)
 /** The compiled in default value for the gap option argument */
 #define GAP_DFT_ARG   ((char const*)50)
 /** Compiled in flag settings for the gap option */
@@ -280,13 +280,13 @@
  *  kod option description:
  */
 /** Descriptive text for the kod option */
-#define KOD_DESC      (sntp_opt_strs+1491)
+#define KOD_DESC      (sntp_opt_strs+1492)
 /** Upper-cased name for the kod option */
-#define KOD_NAME      (sntp_opt_strs+1512)
+#define KOD_NAME      (sntp_opt_strs+1513)
 /** Name string for the kod option */
-#define KOD_name      (sntp_opt_strs+1516)
+#define KOD_name      (sntp_opt_strs+1517)
 /** The compiled in default value for the kod option argument */
-#define KOD_DFT_ARG   (sntp_opt_strs+1520)
+#define KOD_DFT_ARG   (sntp_opt_strs+1521)
 /** Compiled in flag settings for the kod option */
 #define KOD_FLAGS     (OPTST_DISABLED \
         | OPTST_SET_ARGTYPE(OPARG_TYPE_FILE))
@@ -295,11 +295,11 @@
  *  keyfile option description:
  */
 /** Descriptive text for the keyfile option */
-#define KEYFILE_DESC      (sntp_opt_strs+1536)
+#define KEYFILE_DESC      (sntp_opt_strs+1537)
 /** Upper-cased name for the keyfile option */
-#define KEYFILE_NAME      (sntp_opt_strs+1584)
+#define KEYFILE_NAME      (sntp_opt_strs+1585)
 /** Name string for the keyfile option */
-#define KEYFILE_name      (sntp_opt_strs+1592)
+#define KEYFILE_name      (sntp_opt_strs+1593)
 /** Compiled in flag settings for the keyfile option */
 #define KEYFILE_FLAGS     (OPTST_DISABLED \
         | OPTST_SET_ARGTYPE(OPARG_TYPE_FILE))
@@ -308,11 +308,11 @@
  *  logfile option description:
  */
 /** Descriptive text for the logfile option */
-#define LOGFILE_DESC      (sntp_opt_strs+1600)
+#define LOGFILE_DESC      (sntp_opt_strs+1601)
 /** Upper-cased name for the logfile option */
-#define LOGFILE_NAME      (sntp_opt_strs+1625)
+#define LOGFILE_NAME      (sntp_opt_strs+1626)
 /** Name string for the logfile option */
-#define LOGFILE_name      (sntp_opt_strs+1633)
+#define LOGFILE_name      (sntp_opt_strs+1634)
 /** Compiled in flag settings for the logfile option */
 #define LOGFILE_FLAGS     (OPTST_DISABLED \
         | OPTST_SET_ARGTYPE(OPARG_TYPE_FILE))
@@ -321,11 +321,11 @@
  *  steplimit option description:
  */
 /** Descriptive text for the steplimit option */
-#define STEPLIMIT_DESC      (sntp_opt_strs+1641)
+#define STEPLIMIT_DESC      (sntp_opt_strs+1642)
 /** Upper-cased name for the steplimit option */
-#define STEPLIMIT_NAME      (sntp_opt_strs+1693)
+#define STEPLIMIT_NAME      (sntp_opt_strs+1694)
 /** Name string for the steplimit option */
-#define STEPLIMIT_name      (sntp_opt_strs+1703)
+#define STEPLIMIT_name      (sntp_opt_strs+1704)
 /** Compiled in flag settings for the steplimit option */
 #define STEPLIMIT_FLAGS     (OPTST_DISABLED \
         | OPTST_SET_ARGTYPE(OPARG_TYPE_NUMERIC))
@@ -334,11 +334,11 @@
  *  ntpversion option description:
  */
 /** Descriptive text for the ntpversion option */
-#define NTPVERSION_DESC      (sntp_opt_strs+1713)
+#define NTPVERSION_DESC      (sntp_opt_strs+1714)
 /** Upper-cased name for the ntpversion option */
-#define NTPVERSION_NAME      (sntp_opt_strs+1750)
+#define NTPVERSION_NAME      (sntp_opt_strs+1751)
 /** Name string for the ntpversion option */
-#define NTPVERSION_name      (sntp_opt_strs+1761)
+#define NTPVERSION_name      (sntp_opt_strs+1762)
 /** The compiled in default value for the ntpversion option argument */
 #define NTPVERSION_DFT_ARG   ((char const*)4)
 /** Compiled in flag settings for the ntpversion option */
@@ -349,11 +349,11 @@
  *  usereservedport option description:
  */
 /** Descriptive text for the usereservedport option */
-#define USERESERVEDPORT_DESC      (sntp_opt_strs+1772)
+#define USERESERVEDPORT_DESC      (sntp_opt_strs+1773)
 /** Upper-cased name for the usereservedport option */
-#define USERESERVEDPORT_NAME      (sntp_opt_strs+1809)
+#define USERESERVEDPORT_NAME      (sntp_opt_strs+1810)
 /** Name string for the usereservedport option */
-#define USERESERVEDPORT_name      (sntp_opt_strs+1825)
+#define USERESERVEDPORT_name      (sntp_opt_strs+1826)
 /** Compiled in flag settings for the usereservedport option */
 #define USERESERVEDPORT_FLAGS     (OPTST_DISABLED)
 
@@ -361,11 +361,11 @@
  *  step option description:
  */
 /** Descriptive text for the step option */
-#define STEP_DESC      (sntp_opt_strs+1841)
+#define STEP_DESC      (sntp_opt_strs+1842)
 /** Upper-cased name for the step option */
-#define STEP_NAME      (sntp_opt_strs+1884)
+#define STEP_NAME      (sntp_opt_strs+1885)
 /** Name string for the step option */
-#define STEP_name      (sntp_opt_strs+1889)
+#define STEP_name      (sntp_opt_strs+1890)
 /** Compiled in flag settings for the step option */
 #define STEP_FLAGS     (OPTST_DISABLED)
 
@@ -373,11 +373,11 @@
  *  slew option description:
  */
 /** Descriptive text for the slew option */
-#define SLEW_DESC      (sntp_opt_strs+1894)
+#define SLEW_DESC      (sntp_opt_strs+1895)
 /** Upper-cased name for the slew option */
-#define SLEW_NAME      (sntp_opt_strs+1932)
+#define SLEW_NAME      (sntp_opt_strs+1933)
 /** Name string for the slew option */
-#define SLEW_name      (sntp_opt_strs+1937)
+#define SLEW_name      (sntp_opt_strs+1938)
 /** Compiled in flag settings for the slew option */
 #define SLEW_FLAGS     (OPTST_DISABLED)
 
@@ -385,11 +385,11 @@
  *  timeout option description:
  */
 /** Descriptive text for the timeout option */
-#define TIMEOUT_DESC      (sntp_opt_strs+1942)
+#define TIMEOUT_DESC      (sntp_opt_strs+1943)
 /** Upper-cased name for the timeout option */
-#define TIMEOUT_NAME      (sntp_opt_strs+1986)
+#define TIMEOUT_NAME      (sntp_opt_strs+1987)
 /** Name string for the timeout option */
-#define TIMEOUT_name      (sntp_opt_strs+1994)
+#define TIMEOUT_name      (sntp_opt_strs+1995)
 /** The compiled in default value for the timeout option argument */
 #define TIMEOUT_DFT_ARG   ((char const*)5)
 /** Compiled in flag settings for the timeout option */
@@ -400,13 +400,13 @@
  *  wait option description:
  */
 /** Descriptive text for the wait option */
-#define WAIT_DESC      (sntp_opt_strs+2002)
+#define WAIT_DESC      (sntp_opt_strs+2003)
 /** Upper-cased name for the wait option */
-#define WAIT_NAME      (sntp_opt_strs+2053)
+#define WAIT_NAME      (sntp_opt_strs+2054)
 /** disablement name for the wait option */
-#define NOT_WAIT_name  (sntp_opt_strs+2058)
+#define NOT_WAIT_name  (sntp_opt_strs+2059)
 /** disablement prefix for the wait option */
-#define NOT_WAIT_PFX   (sntp_opt_strs+2066)
+#define NOT_WAIT_PFX   (sntp_opt_strs+2067)
 /** Name string for the wait option */
 #define WAIT_name      (NOT_WAIT_name + 3)
 /** Compiled in flag settings for the wait option */
@@ -415,11 +415,11 @@
 /*
  *  Help/More_Help/Version option descriptions:
  */
-#define HELP_DESC       (sntp_opt_strs+2069)
-#define HELP_name       (sntp_opt_strs+2113)
+#define HELP_DESC       (sntp_opt_strs+2070)
+#define HELP_name       (sntp_opt_strs+2114)
 #ifdef HAVE_WORKING_FORK
-#define MORE_HELP_DESC  (sntp_opt_strs+2118)
-#define MORE_HELP_name  (sntp_opt_strs+2163)
+#define MORE_HELP_DESC  (sntp_opt_strs+2119)
+#define MORE_HELP_name  (sntp_opt_strs+2164)
 #define MORE_HELP_FLAGS (OPTST_IMM | OPTST_NO_INIT)
 #else
 #define MORE_HELP_DESC  HELP_DESC
@@ -432,14 +432,14 @@
 #  define VER_FLAGS     (OPTST_SET_ARGTYPE(OPARG_TYPE_STRING) | \
                          OPTST_ARG_OPTIONAL | OPTST_IMM | OPTST_NO_INIT)
 #endif
-#define VER_DESC        (sntp_opt_strs+2173)
-#define VER_name        (sntp_opt_strs+2209)
-#define SAVE_OPTS_DESC  (sntp_opt_strs+2217)
-#define SAVE_OPTS_name  (sntp_opt_strs+2256)
-#define LOAD_OPTS_DESC     (sntp_opt_strs+2266)
-#define LOAD_OPTS_NAME     (sntp_opt_strs+2298)
-#define NO_LOAD_OPTS_name  (sntp_opt_strs+2308)
-#define LOAD_OPTS_pfx      (sntp_opt_strs+2066)
+#define VER_DESC        (sntp_opt_strs+2174)
+#define VER_name        (sntp_opt_strs+2210)
+#define SAVE_OPTS_DESC  (sntp_opt_strs+2218)
+#define SAVE_OPTS_name  (sntp_opt_strs+2257)
+#define LOAD_OPTS_DESC     (sntp_opt_strs+2267)
+#define LOAD_OPTS_NAME     (sntp_opt_strs+2299)
+#define NO_LOAD_OPTS_name  (sntp_opt_strs+2309)
+#define LOAD_OPTS_pfx      (sntp_opt_strs+2067)
 #define LOAD_OPTS_name     (NO_LOAD_OPTS_name + 3)
 /**
  *  Declare option callback procedures
@@ -745,24 +745,24 @@
 
 /* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
 /** Reference to the upper cased version of sntp. */
-#define zPROGNAME       (sntp_opt_strs+2321)
+#define zPROGNAME       (sntp_opt_strs+2322)
 /** Reference to the title line for sntp usage. */
-#define zUsageTitle     (sntp_opt_strs+2326)
+#define zUsageTitle     (sntp_opt_strs+2327)
 /** sntp configuration file name. */
-#define zRcName         (sntp_opt_strs+2493)
+#define zRcName         (sntp_opt_strs+2495)
 /** Directories to search for sntp config files. */
 static char const * const apzHomeList[3] = {
-    sntp_opt_strs+2485,
-    sntp_opt_strs+2491,
+    sntp_opt_strs+2487,
+    sntp_opt_strs+2493,
     NULL };
 /** The sntp program bug email address. */
-#define zBugsAddr       (sntp_opt_strs+2500)
+#define zBugsAddr       (sntp_opt_strs+2502)
 /** Clarification/explanation of what sntp does. */
-#define zExplain        (sntp_opt_strs+2534)
+#define zExplain        (sntp_opt_strs+2536)
 /** Extra detail explaining what sntp does. */
 #define zDetail         (NULL)
 /** The full version string for sntp. */
-#define zFullVersion    (sntp_opt_strs+2536)
+#define zFullVersion    (sntp_opt_strs+2538)
 /* extracted from optcode.tlib near line 364 */
 
 #if defined(ENABLE_NLS)
@@ -1173,8 +1173,8 @@
      translate option names.
    */
   /* referenced via sntpOptions.pzCopyright */
-  puts(_("sntp 4.2.8p9\n\
-Copyright (C) 1992-2016 The University of Delaware and Network Time Foundation, all rights reserved.\n\
+  puts(_("sntp 4.2.8p10\n\
+Copyright (C) 1992-2017 The University of Delaware and Network Time Foundation, all rights reserved.\n\
 This is free software. It is licensed for use, modification and\n\
 redistribution under the terms of the NTP License, copies of which\n\
 can be seen at:\n"));
@@ -1263,7 +1263,7 @@
   puts(_("load options from a config file"));
 
   /* referenced via sntpOptions.pzUsageTitle */
-  puts(_("sntp - standard Simple Network Time Protocol client program - Ver. 4.2.8p9\n\
+  puts(_("sntp - standard Simple Network Time Protocol client program - Ver. 4.2.8p10\n\
 Usage:  %s [ -<flag> [<val>] | --<name>[{=| }<val>] ]... \\\n\
 \t\t[ hostname-or-IP ...]\n"));
 
@@ -1271,7 +1271,7 @@
   puts(_("\n"));
 
   /* referenced via sntpOptions.pzFullVersion */
-  puts(_("sntp 4.2.8p9"));
+  puts(_("sntp 4.2.8p10"));
 
   /* referenced via sntpOptions.pzFullUsage */
   puts(_("<<<NOT-FOUND>>>"));
Index: contrib/ntp/util/Makefile.am
===================================================================
--- contrib/ntp/util/Makefile.am	(版本 314126)
+++ contrib/ntp/util/Makefile.am	(版本 316722)
@@ -7,13 +7,16 @@
 EXTRA_PROGRAMS=	audio-pcm byteorder hist jitter kern longsize ntp-keygen \
 	ntptime pps-api precision sht testrs6000 tg tg2 tickadj timetrim
 
-AM_CFLAGS = $(CFLAGS_NTP)
+AM_CFLAGS  = $(CFLAGS_NTP)
+AM_CFLAGS += $(NTP_HARD_CFLAGS)
 
 AM_CPPFLAGS  = $(NTP_INCS)
 AM_CPPFLAGS += $(LIBOPTS_CFLAGS)
 AM_CPPFLAGS += $(CPPFLAGS_NTP)
+AM_CPPFLAGS += $(NTP_HARD_CPPFLAGS)
 
-AM_LDFLAGS = $(LDFLAGS_NTP)
+AM_LDFLAGS  = $(LDFLAGS_NTP)
+AM_LDFLAGS += $(NTP_HARD_LDFLAGS)
 
 # LDADD might need RESLIB and ADJLIB
 LDADD=		../libntp/libntp.a $(LDADD_LIBNTP) $(LIBM) $(PTHREAD_LIBS)
Index: contrib/ntp/util/ntp-keygen-opts.h
===================================================================
--- contrib/ntp/util/ntp-keygen-opts.h	(版本 314126)
+++ contrib/ntp/util/ntp-keygen-opts.h	(版本 316722)
@@ -1,7 +1,7 @@
 /*
  *  EDIT THIS FILE WITH CAUTION  (ntp-keygen-opts.h)
  *
- *  It has been AutoGen-ed  November 21, 2016 at 08:03:29 AM by AutoGen 5.18.5
+ *  It has been AutoGen-ed  March 21, 2017 at 10:45:47 AM by AutoGen 5.18.5
  *  From the definitions    ntp-keygen-opts.def
  *  and the template file   options
  *
@@ -18,7 +18,7 @@
  * The ntp-keygen program is copyrighted and licensed
  * under the following terms:
  *
- *  Copyright (C) 1992-2016 The University of Delaware and Network Time Foundation, all rights reserved.
+ *  Copyright (C) 1992-2017 The University of Delaware and Network Time Foundation, all rights reserved.
  *  This is free software. It is licensed for use, modification and
  *  redistribution under the terms of the NTP License, copies of which
  *  can be seen at:
@@ -94,9 +94,9 @@
 /** count of all options for ntp-keygen */
 #define OPTION_CT    26
 /** ntp-keygen version */
-#define NTP_KEYGEN_VERSION       "4.2.8p9"
+#define NTP_KEYGEN_VERSION       "4.2.8p10"
 /** Full ntp-keygen version text */
-#define NTP_KEYGEN_FULL_VERSION  "ntp-keygen (ntp) 4.2.8p9"
+#define NTP_KEYGEN_FULL_VERSION  "ntp-keygen (ntp) 4.2.8p10"
 
 /**
  *  Interface defines for all options.  Replace "n" with the UPPER_CASED
Index: sys/dev/xen/blkfront/blkfront.c
===================================================================
--- sys/dev/xen/blkfront/blkfront.c	(版本 314126)
+++ sys/dev/xen/blkfront/blkfront.c	(版本 316722)
@@ -1503,6 +1503,11 @@
 {
 	struct xbd_softc *sc = device_get_softc(dev);
 
+	if (xen_suspend_cancelled) {
+		sc->xbd_state = XBD_STATE_CONNECTED;
+		return (0);
+	}
+
 	DPRINTK("xbd_resume: %s\n", xenbus_get_node(dev));
 
 	xbd_free(sc);
Index: sys/xen/xenbus/xenbusb.c
===================================================================
--- sys/xen/xenbus/xenbusb.c	(版本 314126)
+++ sys/xen/xenbus/xenbusb.c	(版本 316722)
@@ -791,6 +791,11 @@
 			if (device_get_state(kids[i]) == DS_NOTPRESENT)
 				continue;
 
+			if (xen_suspend_cancelled) {
+				DEVICE_RESUME(kids[i]);
+				continue;
+			}
+
 			ivars = device_get_ivars(kids[i]);
 
 			xs_unregister_watch(&ivars->xd_otherend_watch);
